#
# P4 dotfile
#

####################
# DEBUGGING SETTINGS
####################

# master debug setting - set to 0 to turn off *all* debugging output
master_debug = 0

# fine-grained debug settings - set to 0 to turn off a specific debugging output
lka_debug = 0
servicer_debug = 1
conn_mgr_debug = 0
conn_mgr_receive_manage = 0
msg_debug = 0
conn_debug = 0
id_table_debug = 0
id_table_purge_debug = 0
receiveq_debug = 1
receiveq_peek_debug = 0


##################
# GENERAL SETTINGS
##################

p4_port = 2049

# local username
local_username = username

num_boot_connections = 0
remote_host0 = localhost
remote_port0 = 2049
remote_user0 = username2

##############
# LKA SETTINGS
##############
lka_max_readers = 10

# the number of seconds to wait to get an lka_ack
lka_wait_time = 30



#######################
# MSG_DISCOVER SETTINGS
#######################
discover_relay_prob = .9


#######################
# CONN_MGR SETTINGS
#######################
ideal_min_conns = 3
ideal_max_conns = 4
select_timeout_msecs = 100
discover_prob = .2


###############
# CONN SETTINGS
###############
conn_wait_until_ready_timeout_msecs = 500

###################
# ID TABLE SETTINGS
###################
mid_lifetime_secs = 600
